
SUBS:=Hetris
LHS_SUBS:=Hetris

.PHONY: default install clean distclean really-clean
.SECONDARY:

default: targets

install:
ifneq (,$(findstring Hetris/Hetris , targets ))
	mkdir -p prefix/bin
	cp Hetris/Hetris prefix/bin
endif
ifneq (,$(findstring Hetris/Hetris.ps , targets ))
	mkdir -p prefix/share/doc/Hetris
	cp Hetris/Hetris.ps prefix/share/doc/Hetris
endif

# Include the general Makefile stuff
include mk/General.Makefile
# Include the Makefilelets for all the components
include $(addsuffix /Makefile,$(SUBS))

dep:
	for SUB in $(LHS_SUBS); do ./gen_deps $$SUB; done

distclean: clean
	rm -f $(addsuffix /Makefile,$(SUBS)) Makefile

really-clean: distclean
	for SUB in $(LHS_SUBS); do echo -n > $$SUB/dependencies; done

