
define(makefile, mk/General.Makefile)

%.dvi: %.tex makefile
	mk/build_latex $*

%.gz: % makefile
	gzip -f9 $<

%.ps : %.dvi makefile
	cd $(dir $<) &&	dvips -o $(notdir $@) $(notdir $<)

%.pdf: %.ps makefile
	ps2pdf $< $@
